# Uses of Enum Class
org.eclipse.emf.spi.cdo.DefaultCDOMerger.ResolutionPreference

Packages that use DefaultCDOMerger.ResolutionPreference
Package
Description
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of DefaultCDOMerger.ResolutionPreference in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo that return DefaultCDOMerger.ResolutionPreference
Modifier and Type
Method
Description
`final DefaultCDOMerger.ResolutionPreference`
DefaultCDOMerger.`getResolutionPreference()`
`static DefaultCDOMerger.ResolutionPreference`
DefaultCDOMerger.ResolutionPreference.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DefaultCDOMerger.ResolutionPreference[]`
DefaultCDOMerger.ResolutionPreference.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.eclipse.emf.spi.cdo with parameters of type DefaultCDOMerger.ResolutionPreference
Modifier
Constructor
Description
``
`CDOMergingConflictResolver(DefaultCDOMerger.ResolutionPreference resolutionPreference)`
``
`CDOMergingConflictResolver(DefaultCDOMerger.ResolutionPreference resolutionPreference, boolean ensureRemoteNotifications)`
``
`DefaultCDOMerger(DefaultCDOMerger.ResolutionPreference resolutionPreference)`
``
`DefaultCDOMerger(DefaultCDOMerger.ResolutionPreference resolutionPreference, CDOCommonRepository.ListOrdering listOrdering)`
``
`ManyValued(DefaultCDOMerger.ResolutionPreference resolutionPreference)`
``
`ManyValuedOld(DefaultCDOMerger.ResolutionPreference resolutionPreference)`
``
`PerFeature(DefaultCDOMerger.ResolutionPreference resolutionPreference)`